SDL_GetWindowFlags(3)

NAME
SDL_GetWindowFlags - Get the window flags.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_WindowFlags SDL_GetWindowFlags(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to query.

RETURN VALUE
Returns a mask of the SDL_WindowFlags associated with window.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateWindow(3), SDL_HideWindow(3), SDL_MaximizeWindow(3), SDL_MinimizeWindow(3), SDL_SetWindowFullscreen(3), SDL_SetWindowMouseGrab(3), SDL_SetWindowFillDocument(3), SDL_ShowWindow(3)